Subject: Re: problems compiling *anything*
From: Jason Tishler <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 07 Apr 2000 12:05:53 -0400

Tom Weichmann wrote:
> I am trying to compile bash 2.03
> ... 
> $ make
> rm -f bash
> gcc -L./builtins -L./lib/readline -L./lib/readline -L./lib/glob
> -L./lib/tilde - L ./lib/malloc -L./lib/sh    -g -O2 -o bash shell.o 
> ...
> -lbuiltins -lreadline -lhistory -lncurses -lglob -ltilde -lmalloc
> -lsh -luser32 
> /usr/local/lib/libncurses.a(lib_tputs.o)(.text+0x2a4):lib_tputs.c:
> undefined ref erence to `_ctype_'
> /usr/local/lib/libncurses.a(lib_tputs.o)(.text+0x32c):lib_tputs.c:
> undefined ref erence to `_ctype_' collect2: ld returned 1 exit 
> status
> make: *** [bash] Error 1

I had the same problem with bash 2.03 too.  I just downloaded and
installed

http://cygutils.netpedia.net/V1.1/ncurses-5.0/ncurses-5.0-cygwin-pre21.tar.bz2

and reran make again.

> I have seen this same '_ctype_' error with other packages as  well.  

I guess that you will have to find or rebuild the dependent library
for the other packages too.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]